
#include "config.h"

/****************************************************
函数名：TIM2_IRQHandler
功能  ：定时器2接收中断服务函数
参数  ：无
返回值：无
****************************************************/
void TIM2_IRQHandler(void)						   
{ 
   SYSTimer_IRQHandler();//系统定时器中断（主定时器，timer2）		
}

void USART1_IRQHandler(void) 
{
  POS_Connect_DMARX_IRQHandler();
}

void DMA2_Stream7_IRQHandler(void)
{
  POS_Connect_DMATX_IRQHandler();
}
void DMA2_Stream6_IRQHandler(void)
{
  Multiplex_Port_DMATX_IRQHandler();
}
void USART6_IRQHandler(void) 
{
  Multiplex_Port_DMARX_IRQHandler();
}

void USART2_IRQHandler(void) 
{
  MD_Connect_DMARX1_IRQHandler();
}

void DMA1_Stream6_IRQHandler(void)
{
  MD_Connect_DMATX1_IRQHandler();
}

void USART3_IRQHandler(void) 
{
  MD_Connect_DMARX4_IRQHandler();
}

void DMA1_Stream3_IRQHandler(void)
{
  MD_Connect_DMATX4_IRQHandler();
}

void UART4_IRQHandler(void) 
{
  MD_Connect_DMARX2_IRQHandler();
}

void DMA1_Stream4_IRQHandler(void)
{
  MD_Connect_DMATX2_IRQHandler();
}

void UART5_IRQHandler(void) 
{
  MD_Connect_DMARX3_IRQHandler();
}

void DMA1_Stream7_IRQHandler(void)
{
  MD_Connect_DMATX3_IRQHandler();
}

void EXTI15_10_IRQHandler(void)
{
 Pluse_InPut_IRQHandler();
}
void EXTI0_IRQHandler(void)
{
 Pluse_InPut_IRQHandler();
}
void EXTI1_IRQHandler(void)
{
 Pluse_InPut_IRQHandler();
}
void HardFault_Handler(void)
{
//  /* Go to infinite loop when Hard Fault exception occurs */
    if (CoreDebug->DHCSR & 1) 
		 {  //check C_DEBUGEN == 1 -> Debugger Connected  
      __breakpoint(0);  // halt program execution here         
  } 
	__set_FAULTMASK(1);
	NVIC_SystemReset();
  while(1); 
}